﻿/*
  wavp_b2ca.h - wavp library
  Copyright (c) 2016 Mitsuhiro Matsuura.  All right reserved.

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  
*/
/*
  Modified 20 Mar 2017 by Nozomu Fujita
   ・2重インクルード防止対策追加
*/

#ifndef _WAVP_B2CA_H_
#define _WAVP_B2CA_H_

#define FR_OK 0

struct b2ca_block{
	const unsigned char __far *top;
	const unsigned char __far *last;
	const struct b2ca_block __far *next;
};

struct b2ca_file{
	const char filename[128];
	const struct b2ca_block __far *block;
};

struct b2ca{
	const struct b2ca_block __far *block;
	const unsigned char __far *current;
};

typedef struct b2ca B2CA;

int f_open(B2CA *obj, char *filename);
int f_read(B2CA *obj, void *read_buffer, int len, int *size);
int f_close(B2CA *obj);

#endif/*_WAVP_B2CA_H_*/
